﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Web;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.DataVisualization.Charting;
using System.Data;
using System.Data.SqlClient;
using System.Configuration;

public partial class CS : System.Web.UI.Page
{
    protected void Page_Load(object sender, EventArgs e)
    {
        if (!this.IsPostBack)
        {
            string query = "SELECT DISTINCT ShipCountry FROM Orders";
            DataTable dt = GetData(query);
            ddlCountries.DataSource = dt;
            ddlCountries.DataTextField = "ShipCountry";
            ddlCountries.DataValueField = "ShipCountry";
            ddlCountries.DataBind();
            ddlCountries.Items.Insert(0, new ListItem("Select Country", ""));
        }
    }

    private static DataTable GetData(string query)
    {
        string constr = ConfigurationManager.ConnectionStrings["ConString"].ConnectionString;
        using (SqlConnection con = new SqlConnection(constr))
        {
            using (SqlCommand cmd = new SqlCommand(query))
            {
                DataTable dt = new DataTable();
                using (SqlDataAdapter sda = new SqlDataAdapter(query, con))
                {
                    sda.Fill(dt);
                }

                return dt;
            }
        }
    }
    protected void PopulateChart(object sender, EventArgs e)
    {
        Chart1.Visible = ddlCountries.SelectedValue != "";
        string query = string.Format("SELECT ShipCity, COUNT(OrderId) [Total] FROM Orders WHERE ShipCountry = '{0}' GROUP BY ShipCity", ddlCountries.SelectedValue);
        DataTable dt = GetData(query);
        Chart1.DataSource = dt;
        Chart1.Series[0].ChartType = (SeriesChartType)int.Parse(rblChartType.SelectedItem.Value);
        Chart1.Legends[0].Enabled = true;
        Chart1.Series[0].XValueMember = "ShipCity";
        Chart1.Series[0].YValueMembers = "Total";
        Chart1.DataBind();
    }
}